import { b as RequestHandler, i as RequestHandlerDefaultInfo, M as MockedRequest, c as DefaultBodyType, z as SetupServerApi } from '../glossary-58eca5a8.js';
export { z as SetupServerApi } from '../glossary-58eca5a8.js';
import 'type-fest';
import '@mswjs/interceptors';
import 'headers-polyfill';
import 'strict-event-emitter';

/**
 * Sets up a requests interception in Node.js with the given request handlers.
 * @param {RequestHandler[]} requestHandlers List of request handlers.
 * @see {@link https://mswjs.io/docs/api/setup-server `setupServer`}
 */
declare const setupServer: (...requestHandlers: RequestHandler<RequestHandlerDefaultInfo, MockedRequest<DefaultBodyType>, any, MockedRequest<DefaultBodyType>>[]) => SetupServerApi;

export { setupServer };
